Skip to main content

Detailed event reports

Rate limits

This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.

Want to know which seats of an event are booked, and which ones are free? That’s where our detailed reporting API calls come in handy.

GET /reports/events/{eventKey}/{reportType}

The report types you can choose from are:

  • byAvailabilityReason
  • byAvailability
  • byStatus
  • byCategoryLabel
  • byCategoryKey
  • byLabel
  • byOrderId
  • bySection
  • byChannel
  • byObjectType
  • byZone

You can also pass in an optional filter, for example to retrieve only the objects in a certain status:

GET /reports/events/{eventKey}/{reportType}/{filter}

E.g. /reports/events/event34/byStatus/booked

Note

Keep in mind that certain characters need to be URI encoded!

Note

The possible values for objectType are:

  • seat
  • table
  • generalAdmission
  • booth

Most properties in the responses should be self-explanatory. However, ids and labels deserve some attention.

labels contains the displayed label for the object, its parent row or table, and its section. In most cases, the 'technical' label (aka the ID) of an object is the same as its display label. But if needed, you can set a different display label in the designer.

ids contains the technical labels, by which objects are identified (e.g. when booking them).

Limiting the scope of season reports

By default, reports for seasons and partial seasons include objects that have been booked directly on events in the season as well as at the season level. The same is true for reports of events in a season - they contain both bookings at the season level and objects booked directly on them.

If you want a season report to only include objects booked at the season level, you can add a query parameter seasonBookingsPropagated to limit the scope, e.g. /reports/events/season34/byStatus/booked?seasonBookingsPropagated=false. This can be applied to any season, partial season, or an event in a season.

In an example in which a season has 400 bookings at the top-level season level, and 50 bookings directly on one of the events, the report would change depending on if you use the seasonBookingsPropagated query parameter.

ValueTargetNumber of bookings
OmittedTop-level season450
OmittedEvent in season450
falseTop-level season400
falseEvent in season50
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byAvailabilityReason?seasonBookingsPropagated=false

Detailed report by availability reason

This report allows you to figure out how many objects are still available, and how many are not - including the reason why they're not available.

That reason can be:

  • available (object is available, i.e. it's selectable for ticket buyers)
  • booked (object is booked)
  • reservedByToken (object is held)
  • not_for_sale (object is marked as not for sale)
  • a custom status (object is assigned a custom status)

Objects that have a non-free status AND are marked as not for sale get that custom status as availability reason (instead of not_for_sale).

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byAvailabilityReason
curl https://api-{region}.seatsio.net/reports/events/event34/byAvailabilityReason -u aSecretKey:
{
"available": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "4",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"booked": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "5",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"reservedByToken": [
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"holdToken": "wvXbB9MlHt",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour":category "C-36",
"isAvailable": false,
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"not_for_sale": []
}

Detailed report by availability

This report allows you to distinguish between available and non-available objects. An object is considered available if:

  • Its status equals free
  • It's for sale: forSale: true
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byAvailability
curl https://api-{region}.seatsio.net/reports/events/event34/byAvailability -u aSecretKey:
{
"available": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "4",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"not_available": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "5",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"holdToken": "wvXbB9MlHt",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"availabilityReason": "reservedByToken",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
]
}

Detailed report by status

info

Most likely you'll want to use the detailed report by availability reason instead of the one by status.

The availability reason gives detailed info on why an object is not available: either because it has a non-free status, or because it's not for sale. In the report by status, objects that are not for sale are considered free (since technically that is their status).

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byStatus
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byStatus/{status}
curl https://api-{region}.seatsio.net/reports/events/event34/byStatus -u aSecretKey:
{
"free": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "4",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"booked": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "5",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"reservedByToken": [
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"holdToken": "wvXbB9MlHt",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
]
}

Detailed report by category label

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byCategoryLabel
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byCategoryLabel/{categoryLabel}
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byCategoryLabel/NO_CATEGORY
curl https://api-{region}.seatsio.net/reports/events/event34/byCategoryLabel -u aSecretKey:
{
"Ground Floor": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "4",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"Balcony": [
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"holdToken": "wvXbB9MlHt",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "5",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"Standing": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_CATEGORY": [ ... ]
}

Detailed report by category key

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byCategoryKey
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byCategoryKey/{categoryKey}
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byCategoryKey/NO_CATEGORY
curl https://api-{region}.seatsio.net/reports/events/event34/byCategoryKey -u aSecretKey:
{
"4": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "4",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"5": [
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"holdToken": "wvXbB9MlHt",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "5",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"6": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_CATEGORY": [ ... ]
}

Detailed report by label

Note

This API call generates a report for all objects or for a single object. To return information on multiple objects, use this one.

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byLabel
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byLabel/{label}

Multiple objects could have the same label, that's why they're returned as an array.

curl https://api-{region}.seatsio.net/reports/events/event34/byLabel -u aSecretKey:
{
"C-11": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "1",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"C-35": [
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"holdToken": "wvXbB9MlHt",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"C-45": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "2",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"GA": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
]
}

Detailed report by order id

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byOrderId
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byOrderId/{orderId}
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byOrderId/NO_ORDER_ID
curl https://api-{region}.seatsio.net/reports/events/event34/byOrderId -u aSecretKey:
{
"order1": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "1",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"orderId": "order1",
"holdToken": "wvXbB9MlHt",
"forSale": true ,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"order2": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "2",
"orderId": "order2",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_ORDER_ID": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_ORDER_ID": [ ... ]
}

Detailed report by section

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/bySection
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/bySection/{section}
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/bySection/NO_SECTION
curl https://api-{region}.seatsio.net/reports/events/event34/bySection -u aSecretKey:
{
"Floor": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "1",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"forSale": true,
"orderId": "order1",
"objectType": "seat",
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"section": "Section 1",
"forSale": true,
"orderId": "order1",
"holdToken": "wvXbB9MlHt",
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"Balcony": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Balcony"
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "2",
"section": "Balcony",
"forSale": true,
"orderId": "order2",
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_SECTION": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_SECTION": [ ... ]
}

Detailed report by channel

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byChannel
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byChannel/{channel}
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byChannel/NO_CHANNEL
curl https://api-{region}.seatsio.net/reports/events/event34/byChannel -u aSecretKey:
{
"channel1": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "1",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"forSale": true,
"orderId": "order1",
"objectType": "seat",
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"section": "Section 1",
"forSale": true,
"orderId": "order1",
"holdToken": "wvXbB9MlHt",
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"channel2": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Balcony"
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "2",
"section": "Balcony",
"forSale": true,
"orderId": "order2",
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_CHANNEL": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_CHANNEL": [ ... ]
}

Detailed report by object type

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byObjectType
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byObjectType/{status}
curl https://api-{region}.seatsio.net/reports/events/event34/byObjectType -u aSecretKey:
{
"seat": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "4",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"orderId": "order1",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "5",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" }
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"holdToken": "wvXbB9MlHt",
"forSale": true,
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"generalAdmission": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"table": [],
"booth": []
}

Detailed report by zone

GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byZone
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byZone/{zone}
GET https://api-{region}.seatsio.net/reports/events/{eventKey}/byZone/NO_ZONE
curl https://api-{region}.seatsio.net/reports/events/event34/byZone -u aSecretKey:
{
"Zone 1": [
{
"label": "C-11",
"labels": {
"own": { "label": "11", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "11",
"parent": "C"
},
"status": "free",
"categoryLabel": "Ground Floor",
"categoryKey": "1",
"entrance": "Main entrance",
"ticketType": "adult",
"section": "Section 1",
"forSale": true,
"orderId": "order1",
"objectType": "seat",
"leftNeighbour": "C-10",
"rightNeighbour": "C-12",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 84.3242,
"seasonStatusOverriddenQuantity": 0,
"zone": "Zone 1",
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
},
{
"label": "C-35",
"labels": {
"own": { "label": "35", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Section 1"
},
"ids": {
"own": "35",
"parent": "C"
},
"status": "reservedByToken",
"categoryLabel": "Balcony",
"categoryKey": "5",
"extraData": {"userId": "123"},
"section": "Section 1",
"forSale": true,
"orderId": "order1",
"holdToken": "wvXbB9MlHt",
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-34",
"rightNeighbour": "C-36",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 62.923,
"seasonStatusOverriddenQuantity": 0,
"zone": "Zone 1",
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"Zone 2": [
{
"label": "C-45",
"labels": {
"own": { "label": "45", "type": "seat" },
"parent": { "label": "Row C", "type": "row" },
"section": "Balcony"
},
"ids": {
"own": "45",
"parent": "C"
},
"status": "booked",
"categoryLabel": "Balcony",
"categoryKey": "2",
"section": "Balcony",
"forSale": true,
"orderId": "order2",
"objectType": "seat",
"isAccessible": true,
"isCompanionSeat": false,
"hasLiftUpArmrests": false,
"isHearingImpaired": false,
"isSemiAmbulatorySeat": false,
"hasSignLanguageInterpretation": false,
"isPlusSize": false,
"hasRestrictedView": false,
"leftNeighbour": "C-46",
"rightNeighbour": "C-44",
"isAvailable": false,
"availabilityReason": "booked",
"channel": "channel1",
"distanceToFocalPoint": 10.3245,
"seasonStatusOverriddenQuantity": 0,
"zone": "Zone 2",
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_ZONE": [
{
"label": "GA",
"labels": {
"own": { "label": "General Admission 1", "type": "generalAdmission" }
},
"ids": {
"own": "GA"
},
"status": "free",
"categoryLabel": "Standing",
"categoryKey": 6,
"capacity": 100,
"numBooked": 34,
"numHeld": 6,
"numFree": 60,
"forSale": true,
"objectType": "generalAdmission",
"isAvailable": true,
"availabilityReason": "available",
"channel": "channel1",
"distanceToFocalPoint": 82.832,
"variableOccupancy": true,
"minOccupancy": 5,
"maxOccupancy": 100 // only present if variableOccupancy is true,
"seasonStatusOverriddenQuantity": 0,
"numNotForSale": 0,
"floor": {
"name": "1",
"displayName": "Ground Floor"
}
}
],
"NO_ZONE": [ ... ]
}